#!/bin/bash
set -euo pipefail
# shellcheck disable=SC1091
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "SERVER" "SERVICE" "GITEA_RUNNER_DIRECTORY"

# kill the act_runner process
if pgrep -f "${GITEA_RUNNER_DIRECTORY}/act_runner" > /dev/null; then
    pkill -f "${GITEA_RUNNER_DIRECTORY}/act_runner"
    echo "act_runner stopped"
else
    echo "act_runner is not running"
fi

echo "Stopped $SERVICE"
