#!/bin/bash
set -euo pipefail
# shellcheck disable=SC1091
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "SERVER" "SERVICE" "GITEA_RUNNER_DIRECTORY"

echo "Uninstalling service ${SERVICE}..."

./stop.sh || _die "Failed to stop act_runner"

rm -rf "${GITEA_RUNNER_DIRECTORY}"


echo "Uninstalled ${SERVICE}"
