#!/bin/bash
set -euo pipefail
# shellcheck disable=SC1091
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "SERVER" "SERVICE" "GITEA_RUNNER_DIRECTORY"


# check if the act_runner process is running
if ! pgrep -f "${GITEA_RUNNER_DIRECTORY}/act_runner" > /dev/null; then
    echo "act_runner is not running"
    exit 1
fi

echo "act_runner is running"
exit 0