#!/bin/bash
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "CONTAINER_NAME"

# Watchtower Status Script

_is_container_running $CONTAINER_NAME || _die "Service is not running - did not find container $CONTAINER_NAME."

# Optional: Add specific health checks for Watchtower if needed.
# For example, check logs for recent activity or errors.

echo "Service ${CONTAINER_NAME} is running."
exit 0
